﻿<section>
    <center>
        <h2 class="primary" ng-if="vm.TitleModal">
            <span style="color: green">Chamado: </span>{{vm.TitleModal}}
        </h2>
    </center>

    <hr />

    <div class="buttons-notes">
        <button type="button"
                class="btn btn-primary"
                ng-show="!vm.showAddNote"
                ng-click="vm.AddNote()">
            Adicionar nota
        </button>

        <div ng-show="vm.showAddNote">
            <form class="navbar-form form-add-note">
                <div class="pull-left">
                    <div class="form-group">
                        <label>Nota</label>
                        <textarea ng-model="vm.Note.description"
                                  rows="4"
                                  cols="50"
                                  class="form-control input-add-note"
                                  autofocus></textarea>
                    </div>
                </div>
            </form>
            <div class="div-buttons-add-note">
                <div>
                    <button type="button" class="btn btn-primary"
                            ng-click="vm.SaveNote()"
                            ng-disabled="!vm.Note.description">
                        Salvar
                    </button>
                </div>
                <div style="margin-top: 10px;">
                    <button type="button" class="btn btn-primary"
                            ng-click="vm.CancelNote()">
                        Cancelar
                    </button>
                </div>
            </div>
        </div>
    </div>

    <table datatable
           class="row-border hover striped table-striped"
           dt-options="vm.dtOptions"
           dt-columns="vm.dtColumns"
           dt-instance="vm.dtInstance"></table>

</section>
